Loading...
Searching...
No Matches
RDKit::PDBWriter Class Reference

`#include <MolWriters.h>`

Inheritance diagram for RDKit::PDBWriter:

## Public Member Functions

| PDBWriter (const std::string &fileName, unsigned int flavor=0)
| PDBWriter (std::ostream *outStream, bool takeOwnership=false, unsigned int flavor=0)
| ~PDBWriter () override
void | write (const ROMol &mol, int confId=defaultConfId) override
| write a new molecule to the file
void | setProps (const STR_VECT &) override
void | flush () override
| flush the ostream
void | close () override
| close our stream (the writer cannot be used again)
unsigned int | numMols () const override
| get the number of molecules written so far
Public Member Functions inherited from RDKit::MolWriter
virtual | ~MolWriter ()

## Detailed Description

The PDBWriter is for writing molecules to Brookhaven Protein DataBank format files.

Definition at line 300 of file MolWriters.h.

## Constructor & Destructor Documentation

## PDBWriter() [1/2]

RDKit::PDBWriter::PDBWriter | ( | const std::string & | fileName,
|  | unsigned int | flavor = 0 )

## PDBWriter() [2/2]

RDKit::PDBWriter::PDBWriter | ( | std::ostream * | outStream,
|  | bool | takeOwnership = false,
|  | unsigned int | flavor = 0 )

## ~PDBWriter()

RDKit::PDBWriter::~PDBWriter | ( |  | ) |

override

## Member Function Documentation

## close()

void RDKit::PDBWriter::close | ( |  | ) |

inline override virtual

close our stream (the writer cannot be used again)

Implements RDKit::MolWriter.

Definition at line 328 of file MolWriters.h.

References flush().

## flush()

void RDKit::PDBWriter::flush | ( |  | ) |

inline override virtual

flush the ostream

Implements RDKit::MolWriter.

Definition at line 313 of file MolWriters.h.

References PRECONDITION.

Referenced by close().

## numMols()

unsigned int RDKit::PDBWriter::numMols | ( |  | ) | const

inline override virtual

get the number of molecules written so far

Implements RDKit::MolWriter.

Definition at line 340 of file MolWriters.h.

## setProps()

void RDKit::PDBWriter::setProps | ( | const STR_VECT & |  | ) |

inline override virtual

Implements RDKit::MolWriter.

Definition at line 310 of file MolWriters.h.

## write()

void RDKit::PDBWriter::write | ( | const ROMol & | mol,
|  | int | confId = defaultConfId )

override virtual

write a new molecule to the file

Implements RDKit::MolWriter.

References RDKit::defaultConfId.

The documentation for this class was generated from the following file:

- MolWriters.h